package main

import (
	"fmt"
	"os"
)

// ANSI转义序列以换码开始，后跟'm'和一个或多个属性，最后以'm'结束。
// 例如，下面的代码会输出红色的文本：
//   \x1b[31mRED TEXT\x1b[0m

func main() {
	// 定义颜色
	red := "\x1b[31m"
	green := "\x1b[32m"
	yellow := "\x1b[33m"
	blue := "\x1b[34m"
	reset := "\x1b[0m"

	// 打印多种颜色的文本
	fmt.Print(red, "红色文本", reset, " ")
	fmt.Print(green, "绿色文本", reset, " ")
	fmt.Print(yellow, "黄色文本", reset, " ")
	fmt.Print(blue, "蓝色文本", reset, " ")
	fmt.Println()

	// 如果你想改变背景颜色，可以使用'4'开头的代码
	// 例如，下面的代码会输出红色的背景：
	//   \x1b[41mRED BACKGROUND\x1b[0m

	// 请注意，某些终端可能不支持背景颜色。
}

func init() {
	// 确保输出不被缓冲，以便立即出现在DOS命令行中。
	os.Stdout.Sync()
}
